Tagged: browser

Minerva Supported Browsers

Since the last upgrade, the browsers that are supported have changed and you may require a newer version to access resources. In most cases, you will be unaffected by this change and all browsers on standard staff IT desktops are compatible.

Here is a list of supported browser versions:

  • Chrome 36+
  • Edge 20+
  • Firefox 31+
  • Internet Explorer 11+ (Windows Only)
  • Safari 9+ (Mac Only)

However, the version of Internet Explorer accessed via Desktop Anywhere is currently unsupported (version 10). There are two options if you access Minerva via Desktop Anywhere:

  1. Do you actually need to use Desktop Anywhere? If you are just accessing Minerva, this can be done on your home PC/Laptop browser without the need to log into Desktop Anywhere. Go directly to https://minerva.leeds.ac.uk/
  2. If you do need to use Desktop Anywhere then Google Chrome is installed and supported. Please use this browser.

There will be an update to Desktop Anywhere before the new academic year that will update Internet Explorer to version 11 and fix this issue – but in the meantime, please follow the guidance above.

Comments are welcome, however if you need help or advice please contact the IT Service Desk on tel (0113) 343 3333, or helpdesk@leeds.ac.uk.

Images don’t display in emailed Announcements

Internet Explorer users need to be aware of a new issue with announcements that include embedded images. Images will not display if an announcement is emailed. The issue only occurs if the announcement was created using Internet Explorer, and only affects users who read the announcement outside of the VLE.

A workaround is to use Chrome or Firefox when creating the announcement.

Comments are welcome, however if you need help or advice please contact the IT Service Desk on tel (0113) 343 3333, or itservicedesk@leeds.ac.uk.

Turnitin and Internet Explorer

Turnitin have removed support for Internet Explorer 10 (IE10) and earlier versions without prior notice. To ensure you don’t experience issues when accessing Turnitin we recommend that you use the Chrome or Firefox browser.

Comments are welcome, however if you need help or advice please contact the IT Service Desk on tel (0113) 343 3333, or itservicedesk@leeds.ac.uk.

Browser compatability

The following browsers are supported when using the VLE:

  • Chrome™ (stable channel) from Google
  • Firefox® (stable channel) from Mozilla
  • Firefox® (ESR channel) from Mozilla
  • Internet Explorer® 11 from Microsoft
  • Internet Explorer 10 from Microsoft
  • Internet Explorer 9 from Microsoft
  • Safari® 8 from Apple
  • Safari® 7 from Apple
  • Safari® 6 from Apple

Our VLE vendor (Blackboard) recommends you do not use unsupported browsers (e.g. Microsoft Edge) for any assessed work.

Comments are welcome, however if you need help or advice please contact the IT Service Desk on tel (0113) 343 3333, or helpdesk@leeds.ac.uk.

Staff only: Internet Explorer 11 Issue

This issue only affects staff using Internet Explorer 11 (IE11). IE11 is not yet supported on the official staff desktop by IT Services. Student users of the VLE are not affected by this issue.

Please note IE11 is not officially supported on Blackboard 9.1 SP12 (our version).

Microsoft have very recently applied a security update to IE11
http://technet.microsoft.com/en-us/security/bulletin/ms14-010

This patch is causing the IE11 browser to crash when a staff member with editing rights visits a module in the VLE with EDIT mode on.

A dialog will display advising:

“Internet Explorer has stopped working” Your only option then is to close the program.

There is no safe workaround for Windows, so if you have upgraded your desktop to IE11 you should switch to Chrome or Firefox (latest versions) to use the VLE.